> ## Documentation Index
> Fetch the complete documentation index at: https://sendforsign.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List of recipients

> List all recipients of a contract with their keys and actions via the Sendforsign API.

### Body parameters

**data** `object` *required*

**child attribute**

**action** `string` *required*

Action type.

**clientKey** `string` *required*

Key of the client.

**contractKey** `string`

Key of the contract. Use this parameter if you need to retrieve a contract's recipients.

### Response

**recipients** `string`

Array of recipients.

**child attribute**

**id** `string`

ID of the recipient.

**createTime** `string`

Create time.

**changeTime** `string`

Change time.

**fullname** `string`

Name of the recipient.

**email** `string`

Email of the recipient.

**customMessage** `string`

Custom message of the recipient.

**position** `string`

Position of the recipient.

**action** `string`

Action of the recipient.

**recipientKey** `string`

Key of the recipient.

**code** `string`

The code of the answer.

**message** `string`

The message of the answer.

```bash cURL theme={null}
curl -X POST 'https://api.sendforsign.com/api/recipient' \ 
     -H 'X-Sendforsign-Key: YOUR_API_KEY' \
     -H 'Content-Type: application/json' \
     -d '{ 
          "data": {
              "action": "list",
              "clientKey": "YOUR_CLIENT_KEY",
              "contractKey": "CONTRACT_KEY"				  }
     }'
```

```json Response theme={null}
{
    "recipients": [
        {
            "id": "1",
            "createTime": "2024-02-26T11:07:55.000Z",
            "changeTime": "2024-02-26T11:07:59.000Z",
            "name": "Recipient Name",
            "email": "Recipient Email",
            "customMessage": "Custom message text",
            "position": "1",
            "action": "view",
            "clientKey": "YOUR_CLIENT_KEY",
            "recipientKey": "RECIPIENT_KEY",
        }
    ],
    "code": "200",
    "message": "Recipients found"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.